<nav class='navbar navbar-expand navbar-light bg-light'>
    <a class='navbar-brand'>{{pageTitle}}</a>
    <ul class='nav nav-pills'>
        <li><a class='nav-link' routerLinkActive='active' [routerLink]="['/home']">Home</a></li>
        <li><a class='nav-link' routerLinkActive='active' [routerLink]="['/products']"
          [routerLinkActiveOptions]="{exact: true}">Product List</a></li>
        <li><a class='nav-link' routerLinkActive='active' [routerLink]="['/products',1,'edit']">Edit Product</a></li>
    </ul>
    <ul class="navbar-nav ml-auto nav nav-pills">
      <li><a class='nav-link' routerLinkActive='active' [routerLink]="[{ outlets: { popup: 'message' } }]">Show Messag</a></li>
        <li><a class='nav-link' routerLinkActive='active' [routerLink]="['/login']">Login</a></li>
    </ul>
</nav>
<div class='container'>
  <div class="row">
      <div class="col-sm-10" [@slideInAnimation]="o.isActivated ? o.activatedRoute : ''">
        <router-outlet #o="outlet"></router-outlet></div>
      <div class="col-sm-2"><router-outlet name="popup"></router-outlet></div>
    </div>
</div>
